CURLMOPT_MAX_HOST_CONNECTIONS(3)

NAME
CURLMOPT_MAX_HOST_CONNECTIONS - set max number of connections to a single host

SYNOPSIS
#include <curl/curl.h> CURLMcode curl_multi_setopt(CURLM *handle, CURLMOPT_MAX_HOST_CONNECTIONS, long max);

DESCRIPTION
Pass a long to indicate max. The set number will be used as the maximum amount of simultaneously open connections to a single host. For each new session to a host, libcurl will open a new connection up to the limit set by CURLMOPT_MAX_HOST_CONNECTIONS(3). When the limit is reached, the sessions will be pending until a connection becomes available. If CURLMOPT_PIPELINING(3) is enabled, libcurl will try to pipeline if the host is capable of it. The default max value is 0, unlimited. However, for backwards compatibility, setting it to 0 when CURLMOPT_PIPELINING(3) is 1 will not be treated as unlimited. Instead it will open only 1 connection and try to pipeline on it.

DEFAULT
0

PROTOCOLS
HTTP(S)

EXAMPLE
TODO

AVAILABILITY
Added in 7.30.0

RETURN VALUE
Returns CURLM_OK if the option is supported, and CURLM_UNKNOWN_OPTION if not.

SEE ALSO
CURLMOPT_MAXCONNECTS(3), CURLMOPT_MAX_TOTAL_CONNECTIONS(3),